# Interface TimeAwareLayer

A layer that support timeInfo.

interface TimeAwareLayer {
timeExtent: TimeExtent;
timeInfo: TimeInfo;
timeOffset: TimeInterval;
useViewTime: boolean;
}

#### Hierarchy

- default
  - TimeAwareLayer

#####
Index

### Properties

timeExtent
timeInfo
timeOffset
useViewTime

##
Properties

### timeExtent

timeExtent: TimeExtent

The layer's time extent.

### timeInfo

timeInfo: TimeInfo

TimeInfo provides information such as date fields that store start and end time for each feature and the fullTimeExtent for the layer.

### timeOffset

timeOffset: TimeInterval

A temporary offset of the time data based on a certain TimeInterval.

### useViewTime

useViewTime: boolean

Determines if the layer will update its temporal data based on the view's timeExtent.